Bug 63693 - New port: math/qhull Qhull computes convex hull.
Summary: New port: math/qhull Qhull computes convex hull.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-03 13:40 UTC by Eduard Wiebe
Modified: 2004-04-28 23:31 UTC (History)
0 users

See Also:


Attachments
file.shar (4.49 KB, text/plain)
2004-03-03 13:40 UTC, Eduard Wiebe
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eduard Wiebe 2004-03-03 13:40:15 UTC

    
Comment 1 Thierry Thomas freebsd_committer 2004-03-22 21:35:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry

I'll take it.
Comment 2 Thierry Thomas freebsd_committer 2004-03-22 21:41:00 UTC
Hello,

I'm in the process of committing math/qhull, but I have noticed that it
requires libtool => you should define USE_LIBTOOL in place of
GNU_CONFIGURE.

Best regards,
-- 
Th. Thomas.
Comment 3 Greg Lewis 2004-03-22 22:08:40 UTC
FWIW.

The port also installs a .la libtool library file (it shouldn't).

The port doesn't correctly handle NOPORTDOCS (the docs are still installed
with this variable set but the packing list doesn't contain them).

The port has a broken packing list (apart from the docs problem above).
Lines like:

dirrm %%PORTDOCS%%%%DOCSDIR%%/html

should be:

%%PORTDOCS%%dirrm %%DOCSDIR%%/html

Finally, the port should install the exmaples in ${EXAMPLESDIR} instead
of ${DOCSDIR}/examples.

These should be fixed before it is committed, IMO.

-- 
Greg Lewis                          Email   : glewis@eyesbeyond.com
Eyes Beyond                         Web     : http://www.eyesbeyond.com
Information Technology              FreeBSD : glewis@FreeBSD.org
Comment 4 Thierry Thomas freebsd_committer 2004-03-25 08:58:11 UTC
State Changed
From-To: open->feedback

Waiting fixes from the submitter.
Comment 5 Thierry Thomas freebsd_committer 2004-04-28 23:28:41 UTC
State Changed
From-To: feedback->closed


New port added, thanks! 

Remark: since you did not answer to feedback, maintainership 
has been assigned to ports@FreeBSD.org. Don't hesitate to claim 
for it if you still want to take it.